Subject: Re: CI Failures

From: Junio C Hamano <[email-masked]>
Date: Fri, 14 Nov 2025 12:22:53 -0800

Phillip Wood <[email-masked]> writes:

> On 14/11/2025 20:00, Phillip Wood wrote:
>> I'm seeing all the Ubuntu based jobs fail. Judging by the error messages 
>> at [1] it appears that their version of sudo no longer supports "-- 
>> preserve-env" which breaks all of our scripts. Does anyone know how to 
>> make sure we install the C version of sudo rather than the rust version? 
>> Failing that I guess we could switch to using "runuser"
>
> Sorry for the noise, I see this was fixed last month, I had accidentally 
> rebased onto a stale branch.

I think we've merged the fix down to the maint-2.51 track but not to
maint-2.50 and below.  fddb4842 (ci: fix broken jobs on Ubuntu 25.10
caused by switch to sudo-rs(1), 2025-10-10) cannot be merged below
there, but you should be able to cherry-pick if needed.